#include "widget.h"
#include<QVBoxLayout>
#include<QPushButton>

Widget::Widget(QWidget *parent)
    : QWidget(parent)
{
    QVBoxLayout *vbox = new QVBoxLayout(this);

    edit = new QTextEdit();
    QPushButton *btn = new QPushButton();
    connect(btn, SIGNAL(clicked()), this, SLOT(changeColor()));

    btn->setText("Change Color");

    vbox->addWidget(edit);
    vbox->addWidget(btn);

}

Widget::~Widget()
{
}

void Widget::changeColor()
{
    colorDialog = new QColorDialog();
    QColor color = colorDialog->getColor(Qt::yellow);
    edit->setTextColor(color);

}

